Package org.gradle.plugins.ide.idea.model

# Class FilePath

java.lang.Object
org.gradle.plugins.ide.idea.model.Path
org.gradle.plugins.ide.idea.model.FilePath

public class FilePath extends Path
A Path that keeps the reference to the File

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilePath(File file, String url, String canonicalUrl, String relPath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getFile()`

  ### Methods inherited from class org.gradle.plugins.ide.idea.model.Path

  `equals, getCanonicalUrl, getRelPath, getUrl, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FilePath

    public FilePath(File file, String url, String canonicalUrl, String relPath)

- ## Method Details

  - ### getFile

    public File getFile()